<?php
$this->PageTitle = 'Controle de Documentos / Atividades';

$botoes = (User::canUpdate()) ? '{view} {update}' : '{view}';

if (User::isAdmin()) {
    $botoes .= ' {delete}';
}

$imagem = (User::canCreate() ) ? FaHtml::iconNovo() : FaHtml::iconBlank();

$this->menu = array(
    array('label' => $imagem, 'url' => array('dcreate'), 'linkOptions'=>array('target' => '_blank', 'class' => 'novo')),
    array('label' => FaHtml::iconSetaClose(), 'url' => '#', 'linkOptions' => array('class' => 'search-button')),
    array('label' => FaHtml::iconRefresh(), 'url' => 'javascript:void(0);', 'linkOptions' => array('onclick' => 'reloadFrame();', 'class' => 'refresh-button'))
);

?>
<?php
if (isset($_GET['busca'])) {
    $dataProvider = $model->search();
} else {
    $criteria = new CDbCriteria();
    $criteria->compare('ATD_SITUACAO', 'A');
    $dataProvider = new CActiveDataProvider('Atendimentos', array(
        'criteria' => $criteria,
        'sort' => array(
            'defaultOrder' => 'ATD_DTCADASTRO DESC',
        ),
    ));
}
?>
<div class="search-form" <?php if($dataProvider->totalItemCount > 0) echo 'style="display: none;"'; ?> >
    <?php $this->renderPartial('_ssearch', array('model' => $model)); ?>
</div><!-- search-form -->
<?php
$this->widget('ext.Utils.widgets.CrmGridView', array(
    'id' => 'admin-grid',
    'dataProvider' => $dataProvider,
    'afterAjaxUpdate'=>'updated',
    'selectableRows' => 1,
    'pager' => Util::getPagerDefaultConfig(),
    'columns' => array(
        'ATD_DTCADASTRO',
        array(
            'name' => 'ATD_IDCLIENTE',
            'value' => 'GxHtml::valueEx($data->Cliente)',
        ),
        array(
            'name' => 'ATD_ATENDENTE',
            'value' => 'GxHtml::valueEx($data->Atendente)',
        ),
        array(
            'name' => 'ATD_TIPO',
            'value' => 'Util::getTipoAtendimento($data->ATD_TIPO)'
        ),
        'ATD_HORAINICIO',
        array(
            'class' => 'CButtonColumn',
            'template' => $botoes,
            'viewButtonOptions' => array('target' => '_blank'),
            'updateButtonOptions' => array('target' => '_blank'),
            'buttons' => array(
                'view' => array(
                    'label' => 'Exibir',
                    'url' => 'Yii::app()->createUrl("atendimentos/sview", array("id"=>$data->ATD_IDATENDIMENTO))',
                ),
                'update' => array(
                    'label' => 'Editar',
                    'url' => 'Yii::app()->createUrl("atendimentos/supdate", array("id"=>$data->ATD_IDATENDIMENTO))',
                ),
                'delete' => array(
                    'label' => 'Excluir',
                    'url' => 'Yii::app()->createUrl("atendimentos/sdelete", array("id"=>$data->ATD_IDATENDIMENTO))',
                ),
            ),
        ),
    ),
));